CMS Made Simple Forums
https://forum.cmsmadesimple.org/

Sicheres Updaten von 1.6.6 auf eine aktuellere Version
https://forum.cmsmadesimple.org/viewtopic.php?f=24&t=62668
Page 1 of 1

Author:  zappodrom [ Thu Aug 30, 2012 8:43 am ]
Post subject:  Sicheres Updaten von 1.6.6 auf eine aktuellere Version

Moin,

ich möchte (muss) eine vorhandene 1.6.6er Installation aktualisieren. Hintergrund ist, das anscheinend mit der Datenbank etwas nicht mehr stimmt. Es werden z. B. Module 3-fach angezeigt.

Das ist wahrscheinlich auch der Grund, das es keinen "Inhaltstyp Album" mehr gibt. Ich kann das Modul "Album" auch nicht mehr updaten. Es meldet immer den folgenden Fehler:
Code:
Fehler!

SOAP Error: Response not of type text/xml

Es wird noch die Version 0.9.3 verwendet. Aktuell ist wohl 1.10-beta2.
Irgendwie scheint sich das ganze Album-Modul verabschiedet zu haben. Eine vorhandene Albumseite wird zwar im Frontend angezeigt, im Backend aber nicht. Ich hoffe das ganze mit einem Update wieder in die Reihe zu bekommen. Dabei wäre es nicht so dramatisch, wenn das z. Zt. fehlerhafte Album-Modul durch ein anderes ersetzt wird. Es sind eh' nur ein paar Bilder drinnen. Die können auch wieder hochgeladen werden.


Das ganze läuft auf einem Debian Lenny und bringt folgende Vorraussetzungen mit:
Apache 2.2.9
Postgresql 8.3.5
PHP 5.2.6

Da ich den Server nicht updaten kann, kann ich nur die bis dahin maximal mögliche Version von CMSms installieren.

Wie gehe ich am Besten vor? Backup der Files und DB ist klar. Aber dann? Einfach die Pakete der Reihenfolge nach einspielen, oder kann ich auch (um schneller zu sein) auf einige Versionen verzichten?

Bin für jede Hilfe dankbar.

Gruß,
Christian

Author:  nockenfell [ Thu Aug 30, 2012 9:43 am ]
Post subject:  Re: Sicheres Updaten von 1.6.6 auf eine aktuellere Version

zappodrom wrote:
Wie gehe ich am Besten vor? Backup der Files und DB ist klar. Aber dann? Einfach die Pakete der Reihenfolge nach einspielen, oder kann ich auch (um schneller zu sein) auf einige Versionen verzichten?


Von der 1.6er solltest du eigentlich zur 1.9er ohne Probleme direkt updaten können. Wenn du sicher gehen willst, kannst du auch alle Versionsschritte der Hauptversionen der Reihe nach installieren.

Nach dem du die 1.9.3.4 installiert hast, musst du alle Module auf den aktuellsten Stand (der in der 1.9er läuft --> ModulManager korrespondieren) bringen, damit das Update auf die 1.10er funktioniert. Die 1.11er musst du anschliessend schauen. Kommt ein wenig auf die Module an.

Wichtig: In der 1.9er wurde der {stylesheets} Tag durch {cms_stylesheets} ersetzt und das Menü muss muit {menu} aufgerufen werden. (ist je nach dem im Template noch anders drin)

Zum Album:
- Am besten änderst du alle Seitentypen vor dem Update auf Inhalt.
- Wie weit das Album überhaupt noch läuft, weiss ich nicht so wirklich. Ich glaube es ist auch eher beim Willen geblieben es laufen zu bringen. Als Alternative ist die Gallery auf jedenfall zu empfehlen.

Page 1 of 1 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/